package com.heyu.api.data.dao.bank;
/**
* <p>
* 银行卡号校验记录表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.heyu.api.data.entity.bank.BankCardDataEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface BankCardDataDao extends BaseMapper<BankCardDataEntity> {


	BankCardDataEntity selectBankCardDataById(@Param("id")Long id);


	Long insertBankCardData(BankCardDataEntity bankCardData);


	Long insertOrUpdateBankCardData(BankCardDataEntity bankCardData);


	int updateBankCardDataById(BankCardDataEntity bankCardData);


	int updateCoverBankCardDataById(BankCardDataEntity bankCardData);


	int deleteBankCardDataById(@Param("id")Long id);


}